package hello;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

@Path("/kalkulator2")
public class Kalkulator2 {
	@GET
	@Path("/{x:\\d+}{op:[+\\-*/]}{y:\\d+}")
	public long oblicz(
			@PathParam("op") String operacja,
			@PathParam("x") long arg1,
			@PathParam("y") long arg2) {
		switch(operacja) {
		case "+": return arg1 + arg2;
		case "-": return arg1 - arg2;
		case "*": return arg1 * arg2;
		case "/": return arg1 / arg2;
		default : return 0;
		}
	}

}
